import { http } from "/@/utils/http";
import { loadEnv } from "@build/index";
const { VITE_PURCHASE_REPORT } = loadEnv();
const yewuApi = VITE_PURCHASE_REPORT + "/admin/";
interface ResponseType extends Promise<any> {
  data?: object;
  code?: number;
  msg?: string;
}

// 列表
export const httpList = (data: object): ResponseType => {
  return http.request("post", `${yewuApi}saleexportconsultinfo`, { data });
};

// 业务公司列表
export const httpCompanyList = (data: object): ResponseType => {
  return http.request("post", `${yewuApi}r_saleexportconsultinfo`, { data });
};
